Package org.eclipse.birt.chart.model.attribute.impl

# Class AttributeFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.birt.chart.model.attribute.impl.AttributeFactoryImpl

All Implemented Interfaces:
  `AttributeFactory`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

public class AttributeFactoryImpl extends org.eclipse.emf.ecore.impl.EFactoryImpl implements AttributeFactory
An implementation of the model Factory .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.model.attribute.AttributeFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`AttributeFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`convertActionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertActionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertAnchorObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertAnchorToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertAngleTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertAngleTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertAxisTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertAxisTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertChartDimensionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertChartDimensionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertChartTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertChartTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertCursorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertCursorTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDataPointComponentTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDataPointComponentTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDataTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDataTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDateFormatDetailObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDateFormatDetailToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDateFormatTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDateFormatTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDirectionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertDirectionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertGroupingUnitTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertGroupingUnitTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertHorizontalAlignmentObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertHorizontalAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertIDToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertImageSourceTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertImageSourceTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertIntersectionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertIntersectionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLeaderLineStyleObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLeaderLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLegendBehaviorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLegendBehaviorTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLegendItemTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLegendItemTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLineDecoratorObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLineDecoratorToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLineStyleObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertMarkerTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertMarkerTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertMenuStylesKeyTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertMenuStylesKeyTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertOrientationObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertOrientationToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertPatternBitmapObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertPatternBitmapToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertPercentageObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertPercentageToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertPositionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertPositionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertRGBValueObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertRGBValueToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertRiserTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertRiserTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertRuleTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertRuleTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertScaleUnitTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertScaleUnitTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertSortOptionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertSortOptionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertStretchObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertStretchToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertStyledComponentObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertStyledComponentToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTickStyleObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTickStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTriggerConditionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTriggerConditionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTriggerFlowObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertTriggerFlowToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertUnitsOfMeasurementObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertUnitsOfMeasurementToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertVerticalAlignmentObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertVerticalAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`AccessibilityValue`
`createAccessibilityValue()`
`ActionType`
`createActionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ActionType`
`createActionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ActionValue`
`createActionValue()`
`Anchor`
`createAnchorFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Anchor`
`createAnchorObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Angle3D`
`createAngle3D()`
`AngleType`
`createAngleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`AngleType`
`createAngleTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`AxisOrigin`
`createAxisOrigin()`
`AxisType`
`createAxisTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`AxisType`
`createAxisTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Bounds`
`createBounds()`
`CallBackValue`
`createCallBackValue()`
`ChartDimension`
`createChartDimensionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ChartDimension`
`createChartDimensionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ChartType`
`createChartTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ChartType`
`createChartTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ColorDefinition`
`createColorDefinition()`
`Cursor`
`createCursor()`
`CursorType`
`createCursorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`CursorType`
`createCursorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataPoint`
`createDataPoint()`
`DataPointComponent`
`createDataPointComponent()`
`DataPointComponentType`
`createDataPointComponentTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataPointComponentType`
`createDataPointComponentTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataType`
`createDataTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataType`
`createDataTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatDetail`
`createDateFormatDetailFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatDetail`
`createDateFormatDetailObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatSpecifier`
`createDateFormatSpecifier()`
`DateFormatType`
`createDateFormatTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DateFormatType`
`createDateFormatTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Direction`
`createDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Direction`
`createDirectionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`EmbeddedImage`
`createEmbeddedImage()`
`Map.Entry<String,String>`
`createEStringToStringMapEntry()`
`ExtendedProperty`
`createExtendedProperty()`
`Fill`
`createFill()`
`FontDefinition`
`createFontDefinition()`
`FormatSpecifier`
`createFormatSpecifier()`
`FractionNumberFormatSpecifier`
`createFractionNumberFormatSpecifier()`
`Object`
`createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Gradient`
`createGradient()`
`GroupingUnitType`
`createGroupingUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`GroupingUnitType`
`createGroupingUnitTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`HorizontalAlignment`
`createHorizontalAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`HorizontalAlignment`
`createHorizontalAlignmentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`String`
`createIDFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Image`
`createImage()`
`ImageSourceType`
`createImageSourceTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ImageSourceType`
`createImageSourceTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Insets`
`createInsets()`
`Interactivity`
`createInteractivity()`
`IntersectionType`
`createIntersectionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`IntersectionType`
`createIntersectionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`JavaDateFormatSpecifier`
`createJavaDateFormatSpecifier()`
`JavaNumberFormatSpecifier`
`createJavaNumberFormatSpecifier()`
`LeaderLineStyle`
`createLeaderLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LeaderLineStyle`
`createLeaderLineStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LegendBehaviorType`
`createLegendBehaviorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LegendBehaviorType`
`createLegendBehaviorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LegendItemType`
`createLegendItemTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LegendItemType`
`createLegendItemTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LineAttributes`
`createLineAttributes()`
`LineDecorator`
`createLineDecoratorFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LineDecorator`
`createLineDecoratorObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LineStyle`
`createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LineStyle`
`createLineStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Location`
`createLocation()`
`Location3D`
`createLocation3D()`
`Marker`
`createMarker()`
`MarkerType`
`createMarkerTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MarkerType`
`createMarkerTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MenuStylesKeyType`
`createMenuStylesKeyTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MenuStylesKeyType`
`createMenuStylesKeyTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MultipleFill`
`createMultipleFill()`
`MultiURLValues`
`createMultiURLValues()`
`NumberFormatSpecifier`
`createNumberFormatSpecifier()`
`Orientation`
`createOrientationFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Orientation`
`createOrientationObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Palette`
`createPalette()`
`Long`
`createPatternBitmapFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Long`
`createPatternBitmapObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`PatternImage`
`createPatternImage()`
`Double`
`createPercentageFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Double`
`createPercentageObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Position`
`createPositionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Position`
`createPositionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Integer`
`createRGBValueFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Integer`
`createRGBValueObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`RiserType`
`createRiserTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`RiserType`
`createRiserTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Rotation3D`
`createRotation3D()`
`RuleType`
`createRuleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`RuleType`
`createRuleTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ScaleUnitType`
`createScaleUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ScaleUnitType`
`createScaleUnitTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`ScriptValue`
`createScriptValue()`
`SeriesValue`
`createSeriesValue()`
`Size`
`createSize()`
`SortOption`
`createSortOptionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`SortOption`
`createSortOptionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Stretch`
`createStretchFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Stretch`
`createStretchObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`StringFormatSpecifier`
`createStringFormatSpecifier()`
`Style`
`createStyle()`
`StyledComponent`
`createStyledComponentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`StyledComponent`
`createStyledComponentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`StyleMap`
`createStyleMap()`
`Text`
`createText()`
`TextAlignment`
`createTextAlignment()`
`TickStyle`
`createTickStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TickStyle`
`createTickStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TooltipValue`
`createTooltipValue()`
`TriggerCondition`
`createTriggerConditionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TriggerCondition`
`createTriggerConditionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TriggerFlow`
`createTriggerFlowFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`TriggerFlow`
`createTriggerFlowObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`UnitsOfMeasurement`
`createUnitsOfMeasurementFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`UnitsOfMeasurement`
`createUnitsOfMeasurementObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`URLValue`
`createURLValue()`
`VerticalAlignment`
`createVerticalAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`VerticalAlignment`
`createVerticalAlignmentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`AttributePackage`
`getAttributePackage()`
`static AttributePackage`
`getPackage()`
Deprecated.
`static AttributeFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### AttributeFactoryImpl

public AttributeFactoryImpl()
Creates an instance of the factory.

## Method Details

### init

public static AttributeFactory init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

public Object createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

public String convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAccessibilityValue

public AccessibilityValue createAccessibilityValue()

Specified by:
  `createAccessibilityValue` in interface `AttributeFactory`
Returns:
  a new object of class 'Accessibility Value'.

### createActionValue

public ActionValue createActionValue()

Specified by:
  `createActionValue` in interface `AttributeFactory`
Returns:
  a new object of class 'Action Value'.

### createAngle3D

public Angle3D createAngle3D()

Specified by:
  `createAngle3D` in interface `AttributeFactory`
Returns:
  a new object of class 'Angle3 D'.

### createAxisOrigin

public AxisOrigin createAxisOrigin()

Specified by:
  `createAxisOrigin` in interface `AttributeFactory`
Returns:
  a new object of class 'Axis Origin'.

### createBounds

public Bounds createBounds()

Specified by:
  `createBounds` in interface `AttributeFactory`
Returns:
  a new object of class 'Bounds'.

### createCallBackValue

public CallBackValue createCallBackValue()

Specified by:
  `createCallBackValue` in interface `AttributeFactory`
Returns:
  a new object of class 'Call Back Value'.

### createColorDefinition

public ColorDefinition createColorDefinition()

Specified by:
  `createColorDefinition` in interface `AttributeFactory`
Returns:
  a new object of class 'Color Definition'.

### createCursor

public Cursor createCursor()

Specified by:
  `createCursor` in interface `AttributeFactory`
Returns:
  a new object of class 'Cursor'.

### createDataPoint

public DataPoint createDataPoint()

Specified by:
  `createDataPoint` in interface `AttributeFactory`
Returns:
  a new object of class 'Data Point'.

### createDataPointComponent

public DataPointComponent createDataPointComponent()

Specified by:
  `createDataPointComponent` in interface `AttributeFactory`
Returns:
  a new object of class 'Data Point Component'.

### createDateFormatSpecifier

public DateFormatSpecifier createDateFormatSpecifier()

Specified by:
  `createDateFormatSpecifier` in interface `AttributeFactory`
Returns:
  a new object of class 'Date Format Specifier'.

### createEmbeddedImage

public EmbeddedImage createEmbeddedImage()

Specified by:
  `createEmbeddedImage` in interface `AttributeFactory`
Returns:
  a new object of class 'Embedded Image'.

### createEStringToStringMapEntry

public Map.Entry<String,String> createEStringToStringMapEntry()

### createExtendedProperty

public ExtendedProperty createExtendedProperty()

Specified by:
  `createExtendedProperty` in interface `AttributeFactory`
Returns:
  a new object of class 'Extended Property'.

### createFill

public Fill createFill()

Specified by:
  `createFill` in interface `AttributeFactory`
Returns:
  a new object of class 'Fill'.

### createFontDefinition

public FontDefinition createFontDefinition()

Specified by:
  `createFontDefinition` in interface `AttributeFactory`
Returns:
  a new object of class 'Font Definition'.

### createFormatSpecifier

public FormatSpecifier createFormatSpecifier()

Specified by:
  `createFormatSpecifier` in interface `AttributeFactory`
Returns:
  a new object of class 'Format Specifier'.

### createFractionNumberFormatSpecifier

public FractionNumberFormatSpecifier createFractionNumberFormatSpecifier()

Specified by:
  `createFractionNumberFormatSpecifier` in interface `AttributeFactory`
Returns:
  a new object of class 'Fraction Number Format Specifier'.

### createGradient

public Gradient createGradient()

Specified by:
  `createGradient` in interface `AttributeFactory`
Returns:
  a new object of class 'Gradient'.

### createImage

public Image createImage()

Specified by:
  `createImage` in interface `AttributeFactory`
Returns:
  a new object of class 'Image'.

### createInsets

public Insets createInsets()

Specified by:
  `createInsets` in interface `AttributeFactory`
Returns:
  a new object of class 'Insets'.

### createInteractivity

public Interactivity createInteractivity()

Specified by:
  `createInteractivity` in interface `AttributeFactory`
Returns:
  a new object of class 'Interactivity'.

### createJavaDateFormatSpecifier

public JavaDateFormatSpecifier createJavaDateFormatSpecifier()

Specified by:
  `createJavaDateFormatSpecifier` in interface `AttributeFactory`
Returns:
  a new object of class 'Java Date Format Specifier'.

### createJavaNumberFormatSpecifier

public JavaNumberFormatSpecifier createJavaNumberFormatSpecifier()

Specified by:
  `createJavaNumberFormatSpecifier` in interface `AttributeFactory`
Returns:
  a new object of class 'Java Number Format Specifier'.

### createLineAttributes

public LineAttributes createLineAttributes()

Specified by:
  `createLineAttributes` in interface `AttributeFactory`
Returns:
  a new object of class 'Line Attributes'.

### createLocation

public Location createLocation()

Specified by:
  `createLocation` in interface `AttributeFactory`
Returns:
  a new object of class 'Location'.

### createLocation3D

public Location3D createLocation3D()

Specified by:
  `createLocation3D` in interface `AttributeFactory`
Returns:
  a new object of class 'Location3 D'.

### createMarker

public Marker createMarker()

Specified by:
  `createMarker` in interface `AttributeFactory`
Returns:
  a new object of class 'Marker'.

### createMultipleFill

public MultipleFill createMultipleFill()

Specified by:
  `createMultipleFill` in interface `AttributeFactory`
Returns:
  a new object of class 'Multiple Fill'.

### createMultiURLValues

public MultiURLValues createMultiURLValues()

Specified by:
  `createMultiURLValues` in interface `AttributeFactory`
Returns:
  a new object of class 'Multi URL Values'.

### createNumberFormatSpecifier

public NumberFormatSpecifier createNumberFormatSpecifier()

Specified by:
  `createNumberFormatSpecifier` in interface `AttributeFactory`
Returns:
  a new object of class 'Number Format Specifier'.

### createPalette

public Palette createPalette()

Specified by:
  `createPalette` in interface `AttributeFactory`
Returns:
  a new object of class 'Palette'.

### createPatternImage

public PatternImage createPatternImage()

Specified by:
  `createPatternImage` in interface `AttributeFactory`
Returns:
  a new object of class 'Pattern Image'.

### createRotation3D

public Rotation3D createRotation3D()

Specified by:
  `createRotation3D` in interface `AttributeFactory`
Returns:
  a new object of class 'Rotation3 D'.

### createScriptValue

public ScriptValue createScriptValue()

Specified by:
  `createScriptValue` in interface `AttributeFactory`
Returns:
  a new object of class 'Script Value'.

### createSeriesValue

public SeriesValue createSeriesValue()

Specified by:
  `createSeriesValue` in interface `AttributeFactory`
Returns:
  a new object of class 'Series Value'.

### createSize

public Size createSize()

Specified by:
  `createSize` in interface `AttributeFactory`
Returns:
  a new object of class 'Size'.

### createStringFormatSpecifier

public StringFormatSpecifier createStringFormatSpecifier()

Specified by:
  `createStringFormatSpecifier` in interface `AttributeFactory`
Returns:
  a new object of class 'String Format Specifier'.

### createStyle

public Style createStyle()

Specified by:
  `createStyle` in interface `AttributeFactory`
Returns:
  a new object of class 'Style'.

### createStyleMap

public StyleMap createStyleMap()

Specified by:
  `createStyleMap` in interface `AttributeFactory`
Returns:
  a new object of class 'Style Map'.

### createText

public Text createText()

Specified by:
  `createText` in interface `AttributeFactory`
Returns:
  a new object of class 'Text'.

### createTextAlignment

public TextAlignment createTextAlignment()

Specified by:
  `createTextAlignment` in interface `AttributeFactory`
Returns:
  a new object of class 'Text Alignment'.

### createTooltipValue

public TooltipValue createTooltipValue()

Specified by:
  `createTooltipValue` in interface `AttributeFactory`
Returns:
  a new object of class 'Tooltip Value'.

### createURLValue

public URLValue createURLValue()

Specified by:
  `createURLValue` in interface `AttributeFactory`
Returns:
  a new object of class 'URL Value'.

### createActionTypeFromString

public ActionType createActionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertActionTypeToString

public String convertActionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createAnchorFromString

public Anchor createAnchorFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertAnchorToString

public String convertAnchorToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createAngleTypeFromString

public AngleType createAngleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertAngleTypeToString

public String convertAngleTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createAxisTypeFromString

public AxisType createAxisTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertAxisTypeToString

public String convertAxisTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createChartDimensionFromString

public ChartDimension createChartDimensionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertChartDimensionToString

public String convertChartDimensionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createChartTypeFromString

public ChartType createChartTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertChartTypeToString

public String convertChartTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createCursorTypeFromString

public CursorType createCursorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertCursorTypeToString

public String convertCursorTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDataPointComponentTypeFromString

public DataPointComponentType createDataPointComponentTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDataPointComponentTypeToString

public String convertDataPointComponentTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDataTypeFromString

public DataType createDataTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDataTypeToString

public String convertDataTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDateFormatDetailFromString

public DateFormatDetail createDateFormatDetailFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDateFormatDetailToString

public String convertDateFormatDetailToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDateFormatTypeFromString

public DateFormatType createDateFormatTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDateFormatTypeToString

public String convertDateFormatTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDirectionFromString

public Direction createDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDirectionToString

public String convertDirectionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createGroupingUnitTypeFromString

public GroupingUnitType createGroupingUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertGroupingUnitTypeToString

public String convertGroupingUnitTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createHorizontalAlignmentFromString

public HorizontalAlignment createHorizontalAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertHorizontalAlignmentToString

public String convertHorizontalAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createImageSourceTypeFromString

public ImageSourceType createImageSourceTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertImageSourceTypeToString

public String convertImageSourceTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createIntersectionTypeFromString

public IntersectionType createIntersectionTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertIntersectionTypeToString

public String convertIntersectionTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLeaderLineStyleFromString

public LeaderLineStyle createLeaderLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLeaderLineStyleToString

public String convertLeaderLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLegendBehaviorTypeFromString

public LegendBehaviorType createLegendBehaviorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLegendBehaviorTypeToString

public String convertLegendBehaviorTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLegendItemTypeFromString

public LegendItemType createLegendItemTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLegendItemTypeToString

public String convertLegendItemTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLineDecoratorFromString

public LineDecorator createLineDecoratorFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLineDecoratorToString

public String convertLineDecoratorToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLineStyleFromString

public LineStyle createLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLineStyleToString

public String convertLineStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createMarkerTypeFromString

public MarkerType createMarkerTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertMarkerTypeToString

public String convertMarkerTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createMenuStylesKeyTypeFromString

public MenuStylesKeyType createMenuStylesKeyTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertMenuStylesKeyTypeToString

public String convertMenuStylesKeyTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createOrientationFromString

public Orientation createOrientationFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertOrientationToString

public String convertOrientationToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createPositionFromString

public Position createPositionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertPositionToString

public String convertPositionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createRiserTypeFromString

public RiserType createRiserTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertRiserTypeToString

public String convertRiserTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createRuleTypeFromString

public RuleType createRuleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertRuleTypeToString

public String convertRuleTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createScaleUnitTypeFromString

public ScaleUnitType createScaleUnitTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertScaleUnitTypeToString

public String convertScaleUnitTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createSortOptionFromString

public SortOption createSortOptionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertSortOptionToString

public String convertSortOptionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createStretchFromString

public Stretch createStretchFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertStretchToString

public String convertStretchToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createStyledComponentFromString

public StyledComponent createStyledComponentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertStyledComponentToString

public String convertStyledComponentToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTickStyleFromString

public TickStyle createTickStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTickStyleToString

public String convertTickStyleToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTriggerConditionFromString

public TriggerCondition createTriggerConditionFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTriggerConditionToString

public String convertTriggerConditionToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTriggerFlowFromString

public TriggerFlow createTriggerFlowFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTriggerFlowToString

public String convertTriggerFlowToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createUnitsOfMeasurementFromString

public UnitsOfMeasurement createUnitsOfMeasurementFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertUnitsOfMeasurementToString

public String convertUnitsOfMeasurementToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createVerticalAlignmentFromString

public VerticalAlignment createVerticalAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertVerticalAlignmentToString

public String convertVerticalAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createActionTypeObjectFromString

public ActionType createActionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertActionTypeObjectToString

public String convertActionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createAnchorObjectFromString

public Anchor createAnchorObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertAnchorObjectToString

public String convertAnchorObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createAngleTypeObjectFromString

public AngleType createAngleTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertAngleTypeObjectToString

public String convertAngleTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createAxisTypeObjectFromString

public AxisType createAxisTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertAxisTypeObjectToString

public String convertAxisTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createChartDimensionObjectFromString

public ChartDimension createChartDimensionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertChartDimensionObjectToString

public String convertChartDimensionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createChartTypeObjectFromString

public ChartType createChartTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertChartTypeObjectToString

public String convertChartTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createCursorTypeObjectFromString

public CursorType createCursorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertCursorTypeObjectToString

public String convertCursorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDataPointComponentTypeObjectFromString

public DataPointComponentType createDataPointComponentTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDataPointComponentTypeObjectToString

public String convertDataPointComponentTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDataTypeObjectFromString

public DataType createDataTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDataTypeObjectToString

public String convertDataTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDateFormatDetailObjectFromString

public DateFormatDetail createDateFormatDetailObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDateFormatDetailObjectToString

public String convertDateFormatDetailObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDateFormatTypeObjectFromString

public DateFormatType createDateFormatTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDateFormatTypeObjectToString

public String convertDateFormatTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createDirectionObjectFromString

public Direction createDirectionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertDirectionObjectToString

public String convertDirectionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createGroupingUnitTypeObjectFromString

public GroupingUnitType createGroupingUnitTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertGroupingUnitTypeObjectToString

public String convertGroupingUnitTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createHorizontalAlignmentObjectFromString

public HorizontalAlignment createHorizontalAlignmentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertHorizontalAlignmentObjectToString

public String convertHorizontalAlignmentObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createIDFromString

public String createIDFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertIDToString

public String convertIDToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createImageSourceTypeObjectFromString

public ImageSourceType createImageSourceTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertImageSourceTypeObjectToString

public String convertImageSourceTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createIntersectionTypeObjectFromString

public IntersectionType createIntersectionTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertIntersectionTypeObjectToString

public String convertIntersectionTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLeaderLineStyleObjectFromString

public LeaderLineStyle createLeaderLineStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLeaderLineStyleObjectToString

public String convertLeaderLineStyleObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLegendBehaviorTypeObjectFromString

public LegendBehaviorType createLegendBehaviorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLegendBehaviorTypeObjectToString

public String convertLegendBehaviorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLegendItemTypeObjectFromString

public LegendItemType createLegendItemTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLegendItemTypeObjectToString

public String convertLegendItemTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLineDecoratorObjectFromString

public LineDecorator createLineDecoratorObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLineDecoratorObjectToString

public String convertLineDecoratorObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createLineStyleObjectFromString

public LineStyle createLineStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertLineStyleObjectToString

public String convertLineStyleObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createMarkerTypeObjectFromString

public MarkerType createMarkerTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertMarkerTypeObjectToString

public String convertMarkerTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createMenuStylesKeyTypeObjectFromString

public MenuStylesKeyType createMenuStylesKeyTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertMenuStylesKeyTypeObjectToString

public String convertMenuStylesKeyTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createOrientationObjectFromString

public Orientation createOrientationObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertOrientationObjectToString

public String convertOrientationObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createPatternBitmapFromString

public Long createPatternBitmapFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertPatternBitmapToString

public String convertPatternBitmapToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createPatternBitmapObjectFromString

public Long createPatternBitmapObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertPatternBitmapObjectToString

public String convertPatternBitmapObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createPercentageFromString

public Double createPercentageFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertPercentageToString

public String convertPercentageToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createPercentageObjectFromString

public Double createPercentageObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertPercentageObjectToString

public String convertPercentageObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createPositionObjectFromString

public Position createPositionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertPositionObjectToString

public String convertPositionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createRGBValueFromString

public Integer createRGBValueFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertRGBValueToString

public String convertRGBValueToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createRGBValueObjectFromString

public Integer createRGBValueObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertRGBValueObjectToString

public String convertRGBValueObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createRiserTypeObjectFromString

public RiserType createRiserTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertRiserTypeObjectToString

public String convertRiserTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createRuleTypeObjectFromString

public RuleType createRuleTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertRuleTypeObjectToString

public String convertRuleTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createScaleUnitTypeObjectFromString

public ScaleUnitType createScaleUnitTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertScaleUnitTypeObjectToString

public String convertScaleUnitTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createSortOptionObjectFromString

public SortOption createSortOptionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertSortOptionObjectToString

public String convertSortOptionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createStretchObjectFromString

public Stretch createStretchObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertStretchObjectToString

public String convertStretchObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createStyledComponentObjectFromString

public StyledComponent createStyledComponentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertStyledComponentObjectToString

public String convertStyledComponentObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTickStyleObjectFromString

public TickStyle createTickStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTickStyleObjectToString

public String convertTickStyleObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTriggerConditionObjectFromString

public TriggerCondition createTriggerConditionObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTriggerConditionObjectToString

public String convertTriggerConditionObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createTriggerFlowObjectFromString

public TriggerFlow createTriggerFlowObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertTriggerFlowObjectToString

public String convertTriggerFlowObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createUnitsOfMeasurementObjectFromString

public UnitsOfMeasurement createUnitsOfMeasurementObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertUnitsOfMeasurementObjectToString

public String convertUnitsOfMeasurementObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### createVerticalAlignmentObjectFromString

public VerticalAlignment createVerticalAlignmentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

### convertVerticalAlignmentObjectToString

public String convertVerticalAlignmentObjectToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

### getAttributePackage

public AttributePackage getAttributePackage()

Specified by:
  `getAttributePackage` in interface `AttributeFactory`
Returns:
  the package supported by this factory.

### getPackage

@Deprecated public static AttributePackage getPackage()
Deprecated.